<div class="container p-3">
  <div class="row">
    <div class="col">
      <h2>Vendor</h2>
    </div>
  </div>  
  <div class="table-responsive">
    <table class="table table-striped">
      <tr class="header text-center">
        <th>Name</th>
        <th>Email</th>
        <th>Products</th>
        <th>Actions</th>
      </tr>
      <% @users.each do |user| %>
        <% if user.has_role? :Vendor %>
          <tr class="<%= cycle('odd', 'even') %> text-center">
            <td><%= user.username %></td>
            <td><%= user.email %></td>
            <td class="center"><%= user.products.size %></td>
            <td>
              <div class="row">
                <div class="col">
                  <%= link_to "View Products", products_path(:id=>user.id) %>
                  <%= link_to "Show", admin_path(:id=>user.id) %>
                  <%= link_to "Edit", edit_admin_path(:id => user.id) %>
                  <%= link_to "Destroy", admin_path(user.id),
                        method: :delete,
                        data: { confirm: "Are you sure?" } %>          
                </div>
              </div>  
            </td>
          </tr>
        <% end %>
      <% end %>
    </table>
  </div>
  <div class="row">
    <div class="col">
      <h2>User</h2>
    </div>
  </div>  
  <div class="table-responsive">
    <table class="table table-striped">
      <tr class="header text-center">
        <th>Name</th>
        <th>Email</th>
        <th>Actions</th>
      </tr>
      <% @users.each do |user| %>
        <% if user.has_role? :User %>
          <tr class="<%= cycle('odd', 'even') %> text-center">
            <td><%= user.username %></td>
            <td><%= user.email %></td>
            <td>
              <div class="row">
                <div class="col">
                  <%= link_to "Show", admin_path(:id=>user.id) %>
                  <%= link_to "Edit", edit_admin_path(:id => user.id) %>
                  <%= link_to "Destroy", admin_path(user.id),
                        method: :delete,
                        data: { confirm: "Are you sure?" } %>          
                </div>
              </div>  
            </td>
          </tr>
        <% end %>
      <% end %>
    </table>
  </div>
</div>
